GET /progression/{プレイヤー識別子}
エンドポイント: GET /v1/pdapi/progression/<player_identifier>
認証: ベアラートークン
許可: REST.Progression.Read
目的
EXP、レベル関連の状態、レリックの合計、テクノロジー ポイントの合計などのプレイヤーの進行値を読み取ります。
パスパラメータ
player_identifier: 対象プレイヤーのUserIdまたはPlayerUID。
クエリパラメータ
なし。
リクエストボディ
リクエスト本文がありません。
応答スキーマ
200 response schema
| Field | Type | Description |
|---|---|---|
Meta |
object | Target player metadata. |
Progression |
object | Progression, currency, defeat, capture, and activity data. |
Meta object schema:
| Field | Type | Description |
|---|---|---|
PlayerUID |
string | Player UID used by Palworld save data. |
Player |
string | Player identifier supplied in the request path. |
Progression object schema:
| Field | Type | Description |
|---|---|---|
Player |
object | Player level, EXP, and unused status points. |
Currencies |
object | Relic and technology point totals. |
Bosses |
object | Boss defeat counters and flags. |
Captures |
object | Pal capture and butcher counters. |
Activities |
object | Crafting, dungeon, fishing, treasure, and other activity counters. |
Progression.Player object schema:
| Field | Type | Description |
|---|---|---|
level |
integer | Current player level. |
exp |
integer | Current EXP value. |
unusedStatusPoints |
integer | Unused player status points. |
Progression.Currencies object schema:
| Field | Type | Description |
|---|---|---|
relics |
object | Relic point totals keyed by relic type. |
technologyPoints |
integer | Technology point total. |
ancientTechnologyPoints |
integer | Ancient technology point total. |
Progression.Bosses object schema:
| Field | Type | Description |
|---|---|---|
towerBossDefeatCounts |
object | Tower boss defeat counts keyed by boss ID. |
normalBossDefeatFlags |
object | Normal boss defeat flags keyed by boss ID. |
raidBossDefeatCounts |
object | Raid boss defeat counts keyed by boss ID. |
totalBossDefeatCount |
integer | Sum of tower boss defeat counts. |
predatorDefeatCount |
integer | Predator defeat count. |
Progression.Captures object schema:
| Field | Type | Description |
|---|---|---|
tribeCaptureCount |
integer | Total tribe capture count. |
palCaptureCounts |
object | Pal capture counts keyed by Pal ID. |
palCaptureBonusCounts |
object | Pal capture bonus counts keyed by Pal ID. |
palButcherCounts |
object | Pal butcher counts keyed by Pal ID. |
Progression.Activities object schema:
| Field | Type | Description |
|---|---|---|
craftItemCounts |
object | Crafted item counts keyed by item ID. |
normalDungeonClearCount |
integer | Normal dungeon clear count. |
fixedDungeonClearCount |
integer | Fixed dungeon clear count. |
oilrigClearCount |
integer | Oil rig clear count. |
palRankUpCounts |
object | Pal rank-up counts keyed by Pal ID. |
arenaSoloClearCounts |
object | Arena solo clear counts keyed by arena ID. |
npcTalkCounts |
object | NPC talk counts keyed by NPC ID. |
fishingCounts |
object | Fishing counts keyed by fish ID. |
foundTreasureCount |
integer | Found treasure count. |
campConqueredCount |
integer | Camp conquered count. |
firstFishingComplete |
boolean | Whether first fishing completion is recorded. |
エラー応答
エラー本体は次の形状を使用します。
| HTTP | エラーコード | それが起こったとき |
|---|---|---|
401 |
INVALID_TOKEN |
Authorization ヘッダーが欠落しているか、形式が不正であるか、構成されたベアラー トークンと一致しません。 |
403 |
MISSING_PERMISSION |
トークンは有効ですが、このエンドポイント権限が含まれていません。 |
400 |
INVALID_JSON |
リクエスト本文が指定されましたが、JSON として解析できませんでした。 |
400 |
REQUEST_FAILED |
対象のプレイヤー、アカウント、個別キャラクターデータ、記録データ、テクノロジーデータを解決できませんでした。 |
500 |
REQUEST_TIMEOUT |
内部ゲーム スレッド コールバックは 5 秒以内に完了しませんでした。 |
例
PS5 ユーザー ID ごとの読み取り進行状況
PlayerUID による進行状況の読み取り
シナリオ
- 進行を許可する前に、現在の値を確認してください。
- POST /give/progression の後のサポート アクションを確認します。
- 信頼できる管理者ダッシュボードにプレーヤー概要パネルを構築します。